Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.query.xquery.expr
Enum CmpV.Comp

    java.lang.Object
      java.lang.Enum<CmpV.Comp>
          org.basex.query.xquery.expr.CmpV.Comp

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CmpV.Comp>

Enclosing class:
  CmpV

    public static enum CmpV.Comp

extends java.lang.Enum<CmpV.Comp>

Comparators.

Enum Constant Summary
`EQ` Item Comparison:equal.
`GE` Item Comparison:greater of equal.
`GT` Item Comparison:greater.
`LE` Item Comparison:less or equal.
`LT` Item Comparison:less.
`NE` Item Comparison:not equal.

Field Summary
`java.lang.String` | `name` String representation.

Method Summary
`abstract boolean` | `e(Item a, Item b)` Evaluates the expression.
`java.lang.String` | `toString()`
`static CmpV.Comp` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CmpV.Comp[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LE

    public static final CmpV.Comp LE

  Item Comparison:less or equal.

### LT

    public static final CmpV.Comp LT

  Item Comparison:less.

### GE

    public static final CmpV.Comp GE

  Item Comparison:greater of equal.

### GT

    public static final CmpV.Comp GT

  Item Comparison:greater.

### EQ

    public static final CmpV.Comp EQ

  Item Comparison:equal.

### NE

    public static final CmpV.Comp NE

  Item Comparison:not equal.

Field Detail

### name

    public final java.lang.String name

  String representation.

Method Detail

### values

    public static CmpV.Comp[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CmpV.Comp c : CmpV.Comp.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CmpV.Comp valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### e

    public abstract boolean e(Item a,
                              Item b)
                       throws XQException

  Evaluates the expression.

  Parameters:
    `a` - first item
    `b` - second item
  Returns:
    result
  Throws:
    `XQException` - evaluation exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<CmpV.Comp>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD